Bug 698981 - [abrt] gnome-screensaver-3.0.0-1.fc15: do_user_switch: Process /usr/libexec/gnome-screensaver-dialog was killed by signal 11 (SIGSEGV)
[abrt] gnome-screensaver-3.0.0-1.fc15: do_user_switch: Process /usr/libexec/g...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:b4e49bd0c17bb53046b45e931a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-22 10:00 EDT by Maycon França
Modified: 2011-09-27 18:56 EDT (History)
38 users (show)

See Also:
Fixed In Version: gnome-screensaver-3.0.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-27 18:56:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: event_log (8.64 KB, text/plain)
2011-04-22 10:00 EDT, Maycon França
no flags Details
File: maps (36.96 KB, text/plain)
2011-04-22 10:00 EDT, Maycon França
no flags Details
File: dsos (27.13 KB, text/plain)
2011-04-22 10:00 EDT, Maycon França
no flags Details
File: backtrace (34.59 KB, text/plain)
2011-04-22 10:00 EDT, Maycon França
no flags Details

  None (edit)
Description Maycon França 2011-04-22 10:00:13 EDT
abrt version: 2.0.1
package: gnome-screensaver-3.0.0-1.fc15
cmdline: /usr/libexec/gnome-screensaver-dialog --status-message= --enable-switch
component: gnome-screensaver
architecture: x86_64
executable: /usr/libexec/gnome-screensaver-dialog
crash_function: do_user_switch
kernel: 2.6.38.2-9.fc15.x86_64
reason: Process /usr/libexec/gnome-screensaver-dialog was killed by signal 11 (SIGSEGV)
uid: 1000
username: maycon
os_release: Fedora release 15 (Lovelock)
time: 1303474619
rating: 4

Text file: event_log, 8848 bytes
Binary file: coredump, 29900800 bytes
Text file: maps, 37850 bytes
Text file: dsos, 27779 bytes
Text file: backtrace, 35425 bytes

environ
-----
XDG_SESSION_ID=5
HOSTNAME=MOVEL
IMSETTINGS_INTEGRATE_DESKTOP=yes
SHELL=/bin/bash
TERM=dumb
HISTSIZE=1000
XDG_SESSION_COOKIE=b352f396a5619b19f7356b5c00000013-1303437034.653679-1263665068
GNOME_KEYRING_CONTROL=/tmp/keyring-9IMdDC
'IMSETTINGS_MODULE=X compose table'
USER=maycon
USERNAME=maycon
MAIL=/var/spool/mail/maycon
PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/maycon/bin
DESKTOP_SESSION=gnome
QT_IM_MODULE=xim
PWD=/home/maycon
XMODIFIERS=@im=none
GNOME_KEYRING_PID=11429
LANG=pt_BR.utf8
GDM_LANG=pt_BR.utf8
GDMSESSION=gnome
HISTCONTROL=ignoredups
HOME=/home/maycon
SHLVL=1
LOGNAME=maycon
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-DFVsRlodVi,guid=2980553075a24eb15e0d811800002afa
'LESSOPEN=||/usr/bin/lesspipe.sh %s'
WINDOWPATH=7
XDG_RUNTIME_DIR=/run/user/maycon
DISPLAY=:0.0
G_BROKEN_FILENAMES=1
XAUTHORITY=/var/run/gdm/auth-for-maycon-9iMbNE/database
_=/usr/bin/gnome-session
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/11437,unix/unix:/tmp/.ICE-unix/11437
ORBIT_SOCKETDIR=/tmp/orbit-maycon
SSH_AUTH_SOCK=/tmp/keyring-9IMdDC/ssh
GPG_AGENT_INFO=/tmp/keyring-9IMdDC/gpg:0:1
DESKTOP_AUTOSTART_ID=10a4d42bee1ca1529d13034370357982700000114370011
Comment 1 Maycon França 2011-04-22 10:00:17 EDT
Created attachment 494224 [details]
File: event_log
Comment 2 Maycon França 2011-04-22 10:00:22 EDT
Created attachment 494225 [details]
File: maps
Comment 3 Maycon França 2011-04-22 10:00:27 EDT
Created attachment 494226 [details]
File: dsos
Comment 4 Maycon França 2011-04-22 10:00:30 EDT
Created attachment 494227 [details]
File: backtrace
Comment 5 LucAu 2011-04-23 03:01:55 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Lock Screen and authentification failed
Comment 6 Gerhard 2011-04-29 17:29:19 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Happened after screensaver was activated.
Comment 7 Gerard Ryan 2011-05-02 19:30:13 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I've been able to successfully reproduce this bug by doing the following:

1. Set up fingerprint login.
2. Screensaver will only give option of authentication with fingerprint, or the option to switch user. Choose to switch user.
3. Select the same user again (I'm using a machine where I'm the only user anyway).
4. Enter password. At this stage, I am brought back to my desktop, with the abrt warning me of this crash. Unless the screensaver is restarted, there is no screensaver/authentication after suspend or idling.
Comment 8 Fabien Archambault 2011-05-04 08:02:03 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
1. Locked screen with user1.
2. Clicked on swith user.
3. Logged in with user1 (without any login with another user).
Comment 9 Milan Bouchet-Valat 2011-05-05 16:19:52 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
No idea what exactly happened. I switched to another user, then suspended the laptop by closing the lid a few minutes later. When I returned, the screen for the second user was black, but the session of the first user (the one of the crash) was OK.
Comment 10 Petr Muller 2011-05-06 12:13:05 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I've locked my station when going afk, then returned, attempted to wake the black screen. The computer was unresponsive for a while, then showed a desktop for few seconds, then jumped to the login (not unlock) screen where I had to log in to my session again as if I had swithced accounts.

Does not seem reproducible.
Comment 11 Dario Castellarin 2011-05-25 16:00:55 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Just trying to reactivate the desktop using fingerprint authentication
Comment 12 Tim 2011-05-26 13:43:19 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
i just tipped on the right-arrow-key to stop the screen-saver and continue my work. only jdownloader was running. i wouldn't have noticed the error, if the bug-report hadn't told me about.
reproducing was not possible.
Comment 13 Ganapathi Kamath 2011-05-27 11:17:13 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
This abrt report is related to bug Bug 705609.

Sometimes, not always,  the recovery from black screen is accompanied by this.
Comment 14 Ferry Huberts 2011-06-01 14:21:23 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
no idea
Comment 15 dashesy 2011-06-02 18:39:59 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
It might be related, I change the background to black solid color. The setting is gone on the next boot.
Comment 16 ThanasisXiros 2011-06-03 01:44:46 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Process/usr/libexec/gnome-screensaver-dialog was killed by signal 11 (SIGSEGV)
Comment 17 Alex Wajda 2011-06-06 17:42:28 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Opened the laptop lid
Comment 18 Agustin Ferrario 2011-06-08 08:20:56 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Screensaver crash while restarting screen
Comment 19 Bojan Smojver 2011-06-08 08:32:51 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Switched user.
Comment 20 Agustin Ferrario 2011-06-10 12:42:04 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Crash happened when after locked screen, tried to sitch user
Comment 21 Andrew Gaul 2011-06-12 21:44:45 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Switching users when using XFCE.
Comment 22 Reinout van Schouwen 2011-06-14 07:26:35 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I cancelled 'switch user' from the locked screen and logged back in.
Comment 23 Alexey Kuznetsov 2011-06-15 05:12:37 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
crash on switch user
Comment 24 Reinhard 2011-06-18 12:52:39 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Quite normal abandoning of desktop
Screensaver is activated after certain time
Wakeup requested like normal; password entered
I was NOT back at the session, but at the login screen (looks like a user switch); labeling my current user as being logged in
Comment 25 Bojan Smojver 2011-06-19 23:13:58 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Switched from user running Gnome with Compiz to a user running Gnome Shell.
Comment 26 Christian Jose 2011-06-20 18:43:08 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I wasn't aware this happened until I saw ABRT in the bottom right corner of Gnome3.
Comment 27 petr.brcak 2011-06-21 09:00:30 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I lock my session
System running, but on my screen nothing
Comment 28 Fedora Admin XMLRPC Client 2011-06-21 11:56:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 29 Fedora Admin XMLRPC Client 2011-06-21 11:59:31 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 30 Pau Aliagas 2011-06-22 04:39:05 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
While writing the password to unlock the screen, it openend anothe X session to allow another user login.
Comment 31 Bojan Smojver 2011-06-22 04:56:59 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Switched user.
Comment 32 Jonathan 2011-06-22 18:42:42 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
used screensaver
Comment 33 Sebastian Krämer 2011-06-23 04:11:22 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Locked screen, then tried to login as different user. Login prompt appeared at some point, the crash wasn't fatal.
Comment 34 Jan Svec 2011-06-23 06:38:16 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
log in after come back to computer
Comment 35 John Rowe 2011-06-23 11:21:01 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Hit a button as the screensaver was starting up.
Comment 36 Steve 2011-06-24 06:01:06 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Maybe i have pressed to many keys on screensaver-password-box.
Comment 37 Bojan Smojver 2011-06-26 19:18:24 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Switch user.
Comment 38 Yann Droneaud 2011-06-27 05:50:06 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
resuming from suspend perhaps?
Comment 39 Abdelmalek BENKOUIDER 2011-07-01 06:34:47 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
When I reboot my PC, the Error Message tell me that I have this problem with gnome-screensaver !!!
Comment 40 Alex Wajda 2011-07-01 10:32:45 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
don't know
Comment 41 Alex Wajda 2011-07-01 20:50:33 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
opened the lid
Comment 42 Jean-Philippe Broussard 2011-07-03 10:41:09 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Je ne sais pas...
Comment 43 Bojan Smojver 2011-07-03 18:38:34 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Resume from suspend.
Comment 44 Dagan McGregor 2011-07-04 03:10:40 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Changed the system keyboard settings, then the screen locked, and could not unlock. So I switched screen to get back to GDM, and logged in, and it unlocked the screen.
Comment 45 Alex Wajda 2011-07-05 16:02:19 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
------------------------------
Comment 46 Tadej Janež 2011-07-06 04:34:54 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I locked the computer (via GNOME) and then pressen Switch user. Upon unlocking the screen for the original user, ABRT reported this error.
Comment 47 Baptiste Mille-Mathias 2011-07-06 15:47:44 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
nothing
Comment 48 Dmitriy Kalmykov 2011-07-07 15:30:03 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
suspend and awake
Comment 49 Christian Jose 2011-07-09 14:58:32 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I don't know - the screen was locked at the time but it happened 3 times in the one day.
Comment 50 Christian Jose 2011-07-09 14:59:48 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Don't know, I wasn't near the computer at the time.
Comment 51 Christian Jose 2011-07-09 15:00:56 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Don't know, I wasn't near the computer when this happened.
Comment 52 peter 2011-07-12 09:12:46 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
1. trying to unlock screen (by moving mouse, pressing SPACE)
2. the screen gets garbled - after this happens nothing can be seen except fuzzy cubes of various colors
3. repeatedly trying the same procedure (space, typing password) eventually unlocks the screen, and the system reports crash of gnome-screensaver-dialog

(Fedora 15 with latest fixes, Gnome 3, Nouveau driver, Gallium 0.4 on NVA8)
Comment 53 peter 2011-07-12 09:17:31 EDT
I also have fingerprint login enabled, and the bahavior is the same - trying to unlock screen by typing a password or using fingerprint sometimes gnome-screensaver crashes.

This happens to me several times a week, since the release date of F15.
Comment 54 kalgecin 2011-07-15 19:44:31 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
no idea
happened after suspend
Comment 55 teppei.takasaki 2011-07-17 11:12:17 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I leave PC, and screen saver started.(And automatically locked.)
I tried to unlock PC, but I can not set focus on password textfield.
I switch user and logon.
This probrem has occured.
Comment 56 Christian Jose 2011-07-20 18:48:29 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Happened whilst screensaver was active and I was away from computer. Possibly only a couple of minutes after screensaver was manually activated.
Comment 57 Allen Zhu 2011-07-23 04:51:56 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Description of problem:
Apparently, GNOME Screensaver "crashed."  Kind of ironic, as being unconfigureable in this release of GNOME, all it does (or at least, all it's supposed to do) is darken my screen while I'm away.  Frankly, I don't even know how long it's set to start after being idle.  :)

Version-Release number of selected component (if applicable):
gnome-screensaver-3.0.0-1.fc15

How reproducible:
Unknown, to tell you the truth.

Steps to Reproduce:
1. Go and grab a quick cup of coffee to drink while watching the evening news on your television.
2. Come back to your computer.
  
Actual results:
ABRT notifies you that gnome-screensaver-3.0.0-1.fc15 has crashed with a notification in the bottom right corner of your screen.

Expected results:
Nothing - your desktop remains in the same state as how you left it about an hour ago.

Additional info:
I haven't had a chance really to play around with Fedora 15 yet, since I installed it a few days after its release.  First problem I've encountered yet that's worth reporting.  Wish I could tell you more...
Comment 58 Wade Mealing 2011-07-23 10:02:24 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I was probably using my fingerprint scanner to unlock the screensaver.
Comment 59 Stefan Schulze Frielinghaus 2011-07-23 12:30:51 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Quite frankly I did not notice this crash but ABRT did. If you cannot figure out what happened from the trace, then feel free to close this bug.
Comment 60 Christian Jose 2011-07-24 17:37:33 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
After unlocking a locked screen, ABRT reports the crash.
Comment 61 Alex Wajda 2011-07-25 09:48:55 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
been doing general things for what computers exist
Comment 62 Alex Wajda 2011-07-25 09:50:42 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
been doing general things for what computers exist
Comment 63 Abdelmalek BENKOUIDER 2011-07-26 06:48:34 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I have no idea about this !!!
Comment 64 Abdelmalek BENKOUIDER 2011-07-26 06:48:55 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I have no idea about this !!!
Comment 65 Abdelmalek BENKOUIDER 2011-07-26 06:53:00 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I've no idea abou this bug !!!
Comment 66 Alex Wajda 2011-07-27 15:58:13 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
the laptop was idle
Comment 67 the.hw.group 2011-07-28 14:06:52 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I just moved my mouse to unlock the computer.
Comment 68 Alex Wajda 2011-07-28 16:08:35 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Switched the user
Comment 69 Matthew Saltzman 2011-07-31 16:26:40 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Process crashes when left alone, or when screen is unlocked (hard to tell which).
Comment 70 Christian Jose 2011-08-03 19:10:00 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I have no idea when the screensaver crashed  - maybe I was away, maybe I was unlocking after someone else had 'switched' user.
Comment 71 Hugo Melendez 2011-08-03 23:12:20 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
rrrrrrrrrrrrrrrrr
Comment 72 kubrick@fgv6.net 2011-08-04 07:36:56 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
logging back into my session after the screensaver went on for inactivity reason (on battery)
Comment 73 linux@alteeve.com 2011-08-06 13:48:41 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Not sure, just appeared.
Comment 74 Subash B 2011-08-07 01:45:03 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
while unlock my screen, when other users also used switch user to use the system.
Comment 75 Christian Jose 2011-08-08 18:35:16 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Wish I knew - no idea.
Comment 76 Theodore Lee 2011-08-08 22:26:40 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I'm pretty sure this crash showed up after 'Switch User' was pressed.
Comment 77 Subash B 2011-08-09 12:31:27 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
while unlock my screen, my system is also been used by switchusers.
Comment 78 Alex Wajda 2011-08-09 13:09:54 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
exited from screensaver
Comment 79 Alex Wajda 2011-08-09 13:10:40 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
existed from screensaver
Comment 80 Alex Wajda 2011-08-09 13:11:23 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
exited screesaver
Comment 81 Alex Wajda 2011-08-09 13:11:54 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
exited screesaver
Comment 82 Alex Wajda 2011-08-09 13:12:24 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
exited screesaver
Comment 83 Alex Wajda 2011-08-09 13:37:02 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
don't remember
Comment 84 Alex Wajda 2011-08-09 17:25:04 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
don't remember
Comment 85 Jan Vlug 2011-08-10 16:12:17 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Happened when I was away.
Comment 86 Christian Jose 2011-08-11 16:50:21 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Not sure when this happened - I was either away or unlocking a locked screen.
Comment 87 Stephen Haffly 2011-08-14 21:54:24 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I had closed the lid of my Acer Aspire One 722 netbook while the screen was locked. upon opening the lid and hitting a key to resume my session, I was presented with a black screen and the locked symbol. I tried moving the cursor with the mouse, then hitting the directional arrows to try to bring the screen to a background display and password window so I could unlock it. It was at this point that the screen unblanked and the password window appeared. When I entered my password and the session reopened, I saw the ABRT message about the screensaver crashing.
Comment 88 Gregory Trivett 2011-08-15 14:51:59 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
just trying to use my friggin computer.....
Comment 89 Alex Wajda 2011-08-19 13:14:58 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
opened laptop's lid
Comment 90 Alex Wajda 2011-08-19 13:15:40 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
opened laptop's lid
Comment 91 Alex Wajda 2011-08-19 13:24:44 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
opened laptop's lid
Comment 92 Felix Möller 2011-08-22 15:03:43 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
i just unlocked the screensaver
Comment 93 Wade Mealing 2011-08-22 23:14:51 EDT
This doesn't seem to be affecting me when i'm using gnome-screensaver in x
Comment 94 Bojan Smojver 2011-08-23 00:56:39 EDT
So, are going to see a patch here? Does anyone know what's going on?
Comment 95 Steeve McCauley 2011-08-23 19:23:46 EDT
I see this constantly after doing a user switch (either using VTs Ctrl+Alt+Fx or the switch user option).  If the screensvaer has activate on the user who is being switched to gnome-screensaver crashes.

I've also never been able to generate and abrt analysis, after repeated attempts it always fails to download the debug files to analyse the core.
Comment 96 Dennis Appelon Nielsen 2011-08-24 02:34:32 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
It just appeare that sometimes my screen is not locked after suspend, and then I have to logout and back in to make the work mechanisem work again....
Comment 97 Dennis Appelon Nielsen 2011-08-24 02:34:53 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
It just appeare that sometimes my screen is not locked after suspend, and then I have to logout and back in to make the work mechanisem work again....
Comment 98 Andreas Tunek 2011-08-26 13:58:00 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Returned from suspend.
Comment 99 Gregory Trivett 2011-08-30 06:00:32 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
by doing nothing, obviously.. the screensaver was on.
Comment 100 gabe@codehaus.org 2011-08-31 18:14:01 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I believe this happened during fast user switching. Not sure though.
Comment 101 Earl Pomeroy 2011-09-01 09:17:16 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I just started mashing on keys till the screensaver crashed.
Comment 102 Jerry James 2011-09-01 10:41:49 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I didn't do anything special.  I came into work this morning and discovered this crash had happened several hours after I left the office last night.
Comment 103 Jerry James 2011-09-01 11:23:55 EDT
Here's where it crashes, in function do_user_switch() in gs-lock-plug.c:

        if (!error) {
                gs_debug ("Unable to start GDM greeter: %s", error->message);
                g_error_free (error);
        }

So if error == NULL, please dereference error.  BOOM!  The if condition is obviously reversed.  Patch that to read "if (error)" instead and we'll all be much happier.
Comment 104 gabe@codehaus.org 2011-09-03 04:30:05 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
While switching users.
Comment 105 Alex Wajda 2011-09-03 04:36:57 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
not sure...
Comment 106 Yann Droneaud 2011-09-06 06:34:05 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Nothing
.
Comment 107 Richard Hughes 2011-09-06 11:22:45 EDT
There doesn't appear to be an upstream gnome-3-0 branch, although the patch should apply cleanly to F15:

commit 338b86c4f0c2cdc4241dbf5cda913f0184afc105
Author: Huzaifa Sidhpurwala <huzaifas@redhat.com>
Date:   Tue Apr 26 13:15:56 2011 -0400

    dialog: Fix crash in user switcher code
    
I don't want to tread on any toes here, but i can certainly backport the fix if there isn't provenpackager that can do it for the gnome-screensaver maintainer.
Comment 108 gabe@codehaus.org 2011-09-06 12:24:26 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Switched users. Screensaver was running on the switched-to user's desktop.
Comment 109 Bojan Smojver 2011-09-06 15:59:34 EDT
(In reply to comment #107)
 
> I don't want to tread on any toes here, but i can certainly backport the fix if
> there isn't provenpackager that can do it for the gnome-screensaver maintainer.

Pretty please? :-)
Comment 110 Fedora Update System 2011-09-06 16:15:45 EDT
gnome-screensaver-3.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-screensaver-3.0.1-1.fc15
Comment 111 Fedora Update System 2011-09-07 00:18:54 EDT
Package gnome-screensaver-3.0.1-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-screensaver-3.0.1-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gnome-screensaver-3.0.1-1.fc15
then log in and leave karma (feedback).
Comment 112 Erik Johnson 2011-09-07 02:07:00 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Every time I wake my maching up from suspend, I see a new one ofthese in the queue.
Comment 113 Gabriele Svelto 2011-09-10 16:24:34 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I did not notice the crash when it happened but found the report in ABRT only later. I do not know how to reproduce it.
Comment 114 Michal Nowak 2011-09-11 16:31:46 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
No idea....
Comment 115 Fabian A. Scherschel 2011-09-19 10:15:53 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Shell crashed after I entered my credentials on the locked session screen
Comment 116 zbechir 2011-09-21 11:16:03 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
??????????
Comment 117 Alex Wajda 2011-09-21 14:57:38 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
switched logged in user
Comment 118 Adrin Jalali 2011-09-23 18:29:05 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
don't know.
Comment 119 Alex Wajda 2011-09-24 15:57:54 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
-------------
Comment 120 Zeeshan Ali 2011-09-26 14:53:30 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
My cat jumped on the keyboard
Comment 121 Zeeshan Ali 2011-09-26 14:55:17 EDT
(In reply to comment #120)
>
> My cat jumped on the keyboard

Just to be clear, I am not trying to be funny, this is what actually happened.
Comment 122 Jerry James 2011-09-26 15:40:48 EDT
(In reply to comment #121)
> (In reply to comment #120)
> >
> > My cat jumped on the keyboard
> 
> Just to be clear, I am not trying to be funny, this is what actually happened.

It's still funny. :-)  I once found a bug in espeak because my 2-year old whacked the keyboard a couple of times while I was using it to amuse my 6-year old.

Hey, if just ONE of the 100+ of you who have encountered this bug would please test the update noted in comment 111 and provide karma, we could get the update pushed out so this will stop happening.
Comment 123 Dagan McGregor 2011-09-27 01:03:34 EDT
 I think a lot of people CC'd on this bug never read the emails...

Update it with:
# su -c 'yum update --enablerepo=updates-testing
gnome-screensaver-3.0.1-1.fc15'
as soon as you are able to.

 I just installed the update on a few machines. Needs more testing, but looks OK so far.
Comment 124 Fedora Update System 2011-09-27 18:56:41 EDT
gnome-screensaver-3.0.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.